# go-app

It works today, and is fast

## spectre
THis is a clean Material Design like GUI

https://github.com/picturepan2/spectre
https://picturepan2.github.io/spectre/index.html



He is using https://github.com/maxence-charriere/go-app/
https://pkg.go.dev/github.com/maxence-charriere/go-app/v7/pkg/app?tab=doc#GenerateStaticWebsite
You can build static web sites and then also include the WASM also
- this is really useful because you get hugo and then also dynamci apps too from the same code.

# Examples

Search Term: github.com/maxence-charriere/go-app/v7/pkg/app

Easy to host example on github pages:
https://github.com/maxence-charriere/goapp-github-pages
- Nice simple example of Static App.

Good Example:
https://github.com/lu4p/astextract/blob/master/webinterface/web.go
